Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.menu.event
Interface MenuListener

All Known Implementing Classes:
  MenuListenerAdapter

    public interface MenuListener

Method Summary
`void` | `doBeforeHide(Menu menu)` Fires before this menu is hidden.
`void` | `doBeforeShow(Menu menu)` Fires before this menu is displayed.
`void` | `onClick(Menu menu, java.lang.String menuItemId, EventObject e)` Fires when this menu is clicked (or when the enter key is pressed while it is active).
`void` | `onHide(Menu menu)` Fires after this menu is hidden.
`void` | `onItemClick(BaseItem item, EventObject e)` Fires when a menu item contained in this menu is clicked.
`void` | `onMouseOut(Menu menu, BaseItem menuItem, EventObject e)` Fires when the mouse exits this menu.
`void` | `onMouseOver(Menu menu, BaseItem menuItem, EventObject e)` Fires when the mouse is hovering over this menu.
`void` | `onShow(Menu menu)` Fires after this menu is displayed.

Method Detail

### doBeforeHide

    void doBeforeHide(Menu menu)

  Fires before this menu is hidden.

  Parameters:
    `menu` - this

### doBeforeShow

    void doBeforeShow(Menu menu)

  Fires before this menu is displayed.

  Parameters:
    `menu` - this

### onClick

    void onClick(Menu menu,
                 java.lang.String menuItemId,
                 EventObject e)

  Fires when this menu is clicked (or when the enter key is pressed while it is active).

  Parameters:
    `menu` - this
    `menuItemId` - the menu item ID
    `e` - the event object

### onHide

    void onHide(Menu menu)

  Fires after this menu is hidden.

  Parameters:
    `menu` - this

### onItemClick

    void onItemClick(BaseItem item,
                     EventObject e)

  Fires when a menu item contained in this menu is clicked.

  Parameters:
    `item` - the clicked item
    `e` - the event object

### onMouseOut

    void onMouseOut(Menu menu,
                    BaseItem menuItem,
                    EventObject e)

  Fires when the mouse exits this menu.

  Parameters:
    `menu` - this
    `menuItem` - the menu item
    `e` - the event object

### onMouseOver

    void onMouseOver(Menu menu,
                     BaseItem menuItem,
                     EventObject e)

  Fires when the mouse is hovering over this menu.

  Parameters:
    `menu` - this
    `menuItem` - the menu item
    `e` - the event object

### onShow

    void onShow(Menu menu)

  Fires after this menu is displayed.

  Parameters:
    `menu` - this

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD